Bug 1389724 - please use OpenBLAS
Summary: please use OpenBLAS
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: R
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-28 10:29 UTC by Dave Love
Modified: 2016-12-14 02:48 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-12-12 21:51:05 UTC


Attachments (Terms of Use)

Description Dave Love 2016-10-28 10:29:23 UTC
Description of problem:

[I'm surprised this hasn't come up before, but I can't see a previous request.]

In the absence of sanity for the linear algebra base in Fedora, I think R should use openblas on the targets that have it (x86_64 %{ix86} armv7hl %{power64} aarch64), not reference BLAS.  As it is, the relevant operations are typically an order of magnitude slower than they could be, though I don't know how much that affects typical R use. Using openblas would also sidestep the problems with el5,6's libblas noted in the spec.

There's an example of what reference BLAS costs at the end of <https://loveshack.fedorapeople.org/blas-subversion.html>, which describes the workaround I use (see also #1389719) and refers to people pushing a proprietary solution.  (The serial matrix multiplication exRmple is a factor of 13 slower than it could be on Sandy Bridge.)

Version-Release number of selected component (if applicable):

R-core-3.3.1-2.el6.x86_64

Comment 1 Fedora Update System 2016-11-01 18:34:11 UTC
rkward-0.6.5-3.fc23 rpy-2.8.3-1.fc23 R-3.3.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0ba2f71eaa

Comment 2 Fedora Update System 2016-11-01 18:34:31 UTC
rkward-0.6.5-3.fc24 rpy-2.8.3-1.fc24 R-3.3.2-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5440b32232

Comment 3 Fedora Update System 2016-11-01 18:34:46 UTC
R-3.3.2-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-416d702575

Comment 4 Fedora Update System 2016-11-01 18:35:00 UTC
R-3.3.2-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a1e9b3e561

Comment 5 Fedora Update System 2016-11-01 18:35:14 UTC
rkward-0.6.5-3.fc25 rpy-2.8.3-1.fc25 R-3.3.2-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-91292caee5

Comment 6 Fedora Update System 2016-11-01 18:35:29 UTC
R-3.3.2-2.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-40629afe0a

Comment 7 Fedora Update System 2016-11-02 14:52:05 UTC
R-3.3.2-2.fc25, rkward-0.6.5-3.fc25, rpy-2.8.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-91292caee5

Comment 8 Fedora Update System 2016-11-04 17:20:15 UTC
R-3.3.2-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a1e9b3e561

Comment 9 Fedora Update System 2016-11-04 17:22:24 UTC
R-3.3.2-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-416d702575

Comment 10 Fedora Update System 2016-11-05 01:46:31 UTC
R-3.3.2-2.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-40629afe0a

Comment 11 Fedora Update System 2016-11-05 03:31:22 UTC
R-3.3.2-2.fc24, rkward-0.6.5-3.fc24, rpy-2.8.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5440b32232

Comment 12 Fedora Update System 2016-12-12 21:51:05 UTC
R-3.3.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-12-12 23:55:50 UTC
R-3.3.2-2.fc25, rkward-0.6.5-3.fc25, rpy-2.8.3-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-12-13 02:24:47 UTC
R-3.3.2-2.fc24, rkward-0.6.5-3.fc24, rpy-2.8.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-12-13 18:20:29 UTC
R-3.3.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-12-14 02:48:43 UTC
R-3.3.2-2.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.